org.jgrapht.event

## Class GraphVertexChangeEvent<V>

- java.lang.Object
- - java.util.EventObject
  - - org.jgrapht.event.GraphChangeEvent
    - - org.jgrapht.event.GraphVertexChangeEvent<V>

- All Implemented Interfaces:
    Serializable

      public class GraphVertexChangeEvent<V>
      extends GraphChangeEvent

  An event which indicates that a graph vertex has changed, or is about to change. The event can be used either as an indication after the vertex has been added or removed, or before it is added. The type of the event can be tested using the `GraphChangeEvent.getType()` method.
  Since:
    Aug 10, 2003
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BEFORE_VERTEX_ADDED` Before vertex added event.
    `static int` | `BEFORE_VERTEX_REMOVED` Before vertex removed event.
    `protected V` | `vertex` The vertex that this event is related to.
    `static int` | `VERTEX_ADDED` Vertex added event.
    `static int` | `VERTEX_REMOVED` Vertex removed event.

    - ### Fields inherited from class org.jgrapht.event.GraphChangeEvent

      `type`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphVertexChangeEvent(Object eventSource, int type, V vertex)` Creates a new GraphVertexChangeEvent object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `getVertex()` Returns the vertex that this event is related to.

    - ### Methods inherited from class org.jgrapht.event.GraphChangeEvent

      `getType`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BEFORE_VERTEX_ADDED

          public static final int BEFORE_VERTEX_ADDED

      Before vertex added event. This event is fired before a vertex is added to a graph.
      See Also:
        Constant Field Values

    - #### BEFORE_VERTEX_REMOVED

          public static final int BEFORE_VERTEX_REMOVED

      Before vertex removed event. This event is fired before a vertex is removed from a graph.
      See Also:
        Constant Field Values

    - #### VERTEX_ADDED

          public static final int VERTEX_ADDED

      Vertex added event. This event is fired after a vertex is added to a graph.
      See Also:
        Constant Field Values

    - #### VERTEX_REMOVED

          public static final int VERTEX_REMOVED

      Vertex removed event. This event is fired after a vertex is removed from a graph.
      See Also:
        Constant Field Values

    - #### vertex

          protected V vertex

      The vertex that this event is related to.

  - ### Constructor Detail

    - #### GraphVertexChangeEvent

          public GraphVertexChangeEvent(Object eventSource,
                                int type,
                                V vertex)

      Creates a new GraphVertexChangeEvent object.
      Parameters:
        `eventSource` - the source of the event.
        `type` - the type of the event.
        `vertex` - the vertex that the event is related to.

  - ### Method Detail

    - #### getVertex

          public V getVertex()

      Returns the vertex that this event is related to.
      Returns:
        the vertex that this event is related to.

Copyright © 2016. All rights reserved.